"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function stubMethods(obj) {
    const mocks = new Set();
    for (const key of Object.keys(obj)) {
        if (typeof obj[key] !== 'function') {
            continue;
        }
        const mock = jest.spyOn(obj, key).mockImplementation(jest.fn());
        mocks.add(mock);
    }
    return {
        stub: obj,
        restore: () => {
            mocks.forEach(mock => {
                mock.mockRestore();
            });
        }
    };
}
exports.stubMethods = stubMethods;
exports.default = stubMethods;
//# sourceMappingURL=index.js.map